%define module  Expect
%define name    perl-%{module}
%define version 1.21
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release} 
Summary:        Expect for Perl
License:        GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Expect/%{module}-%{version}.tar.bz2
Patch0:         %{name}-paths.patch
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(IO::Tty) >= 1.02
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
The Expect module is a successor of Comm.pl and a descendent of Chat.pl. It
more closely ressembles the Tcl Expect language than its predecessors. It does
not contain any of the networking code found in Comm.pl. I suspect this would
be obsolete anyway given the advent of IO::Socket and external tools such as
netcat.

Expect.pm is an attempt to have more of a switch() & case feeling to make
decision processing more fluid. Three separate types of debugging have been
implemented to make code production easier.

It is now possible to interconnect multiple file handles (and processes) much
like Tcl's Expect. An attempt was made to enable all the features of Tcl's
Expect without forcing Tcl on the victim programmer :-) .

%prep
%setup -q -n %{module}-%{version}

%patch -p1
perl -pi -e 's|/usr/local/bin/perl|%{__perl}|' examples/kibitz/kibitz

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README examples tutorial
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/*.pod
%{_mandir}/*/*



%changelog
* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.21-2mdv2008.1
+ Revision: 180395
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdv2008.0
+ Revision: 63955
- update to new version 1.21


* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2007.0
- New version 1.20

* Sun Jul 16 2006 Emmanuel Andry <eandry@mandriva.org> 1.18-1mdv2007.0
- New release 1.18

* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2007.0
- New release 1.17

* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2007.0
- New release 1.16
- better summary & description
- spec cleanup

* Thu Feb 03 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.15-7mdk
- rebuild

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.15-6mdk
- rebuild for new perl
- rm -rf /home/guillomovitch/rpm/tmp/perl-Expect-1.20 in %%install, not %%prep
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

